# Gift Voucher

## Save Gift Voucher :- LOGIC API PUSH - GIFT VOUCHERS <a href="#heading" id="heading"></a>

This API is used to Save the Gift Voucher in LOGIC

### **Authorization Detail**

| Name          | Detail                                         |
| ------------- | ---------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/SaveGiftVoucher> |
| Request Type  | POST                                           |
| Authorization | Basic Auth                                     |
| Username      | Demo                                           |
| Password      | 1                                              |

### **Request**

```

{
    "Gift_Voucher_Group": "ONLINE SALE GV",
    "GVG_ShortName": "OSGV",
    "GVG_AccountCode": "1024",
    "GVG_Commission_On": "",
    "GVG_Commission_Value": 0.0,
    "Gift_Voucher_Prefix": "10009600",
    "Gift_Voucher_Number": 1,
    "Amount": 1500.0,
    "Gift_Voucher_Account": "",
    "Gift_Voucher_AccountCode": "1024",
    "Gift_Voucher_Barcode": "BGTESTING",
    "Creation_Branch_Code": 2,
    "Expiry_Date": "30/10/2024"
}

```

**Request Detail**

| Name                       | Type      | Length | Mandatory |
| -------------------------- | --------- | ------ | --------- |
| Gift\_Voucher\_Group       | nvarchar  | -      | yes       |
| GVG\_ShortName             | nvarchar  | -      | -         |
| GVG\_AccountCode           | nvarchar  | -      | yes       |
| GVG\_Commission\_On        | nvarchar  | -      | -         |
| GVG\_Commission\_Value     | nvarchar  | -      | -         |
| Gift\_Voucher\_Prefix      | nvarchar  | -      | yes       |
| Gift\_Voucher\_Number      | int       | 9      | yes       |
| Amount                     | money     | -      | yes       |
| Gift\_Voucher\_Account     | money     | -      | -         |
| Gift\_Voucher\_AccountCode | money     | -      | -         |
| Gift\_Voucher\_Barcode     | nvarchar  | 30     | -         |
| Creation\_Branch\_Code     | nvarchar  | -      | yes       |
| Expiry\_Date               | date/time | -      | -         |

### **Response**

```
 
{
    "Status": true,
    "Message": "",
    "LastSavedCode": ""
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/sale/push/gift-voucher.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
